Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003387TestLinkUsers and Rightspublic2010-04-13 23:062010-05-01 20:28
ReporterHidDEN MiNdS 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 3 
Fixed in Version1.9 Beta 4 
Summary0003387: User with role tester can delete test cases
DescriptionI assigned a test case to a tester.
The tester logs in and clicks on "Test Cases assigned to me".
The tester clicks on a test case.
The tester clicks on the delete button.
-> The test case has been deleted.
Additional InformationI have not changed anything on the default role permissions after installation.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3387.zip [^] (39,254 bytes) 2010-04-16 03:10

- Relationships

-  Notes
(0009726)
ddewinter (reporter)
2010-04-14 21:16

deleted....and edited.
As a guest I'm able to edit 'read-only' testcases!
(0009743)
fman (administrator)
2010-04-16 03:10

try with attached code.
Problem is generated here:
if( $viewer_defaults['disable_edit'] == 1 ||
    has_rights($this->db,"mgt_modify_tc") == 'no' ) KO

if( $viewer_defaults['disable_edit'] == 1 ||
    has_rights($this->db,"mgt_modify_tc") == false) OK
(0009744)
fman (administrator)
2010-04-16 03:11

please test and give feedback
(0009747)
ddewinter (reporter)
2010-04-16 15:18

Tested. Works fine. Thanks

- Issue History
Date Modified Username Field Change
2010-04-13 23:06 HidDEN MiNdS New Issue
2010-04-14 21:16 ddewinter Note Added: 0009726
2010-04-15 16:09 fman Status new => assigned
2010-04-15 16:09 fman Assigned To => fman
2010-04-16 03:10 fman Note Added: 0009743
2010-04-16 03:10 fman File Added: fix-3387.zip
2010-04-16 03:11 fman Note Added: 0009744
2010-04-16 03:11 fman Status assigned => feedback
2010-04-16 15:18 ddewinter Note Added: 0009747
2010-04-16 23:57 fman Status feedback => resolved
2010-04-16 23:57 fman Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-16 23:57 fman Resolution open => fixed
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker